Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
lenhatanh

Nhờ giúp đỡ

Các bài được khuyến nghị

lenhatanh    2

Mình có một đoạn code vẽ đường thẳng qua hai điểm sẽ được nhập trên màn hình:  

 

(defun C:Ve (/ d1 d2)

   (command "line" (setq d1 (getpoint "\nStart point... : ")))

   (command (setq d2 (getpoint "\nEnd point... : ")))

   (command "")

)

 

Mình muốn khi thực hiện lênh c:ve sẽ làm được như sau:

 - Sau khi pick điểm d1 trêm màn hình sẽ xuất hiện dây chun quay quanh điểm d1 như lệnh "line" hoặc Pline" của CAD để chọn tiếp điểm d2..

 - Có thể chọn "ortho" ON hoặc OFF để có thể chọn điểm d2 thẳng hàng (đứng hoặc ngang) so với điểm d1.

Nhờ các bạn chỉ giúp cách viết lại đoạn code trên nhé, xin cảm ơn trước.

 

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.679

1). Bạn post bài nhiều rồi mà còn vi phạm nội quy với 1 tiêu đề gọn lỏn "Nhờ giúp đỡ". Tiêu đề kiểu này rất khiến người đọc thiếu thiện cảm.

2). Sửa:

(command (setq d2 (getpoint "\nEnd point... : ")))

Thành:

(command (setq d2 (getpoint d1 "\nEnd point... : ")))

3). Giờ thì ORTHO vô tư.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×